"use strict";
/**
 * Основные типы и интерфейсы для библиотеки CSElement
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElementEvent = void 0;
/**
 * События элемента
 */
var ElementEvent;
(function (ElementEvent) {
    ElementEvent["ElementAdded"] = "element:added";
    ElementEvent["ElementRemoved"] = "element:removed";
    ElementEvent["DataChanged"] = "data:changed";
    ElementEvent["OwnerChanged"] = "owner:changed";
    ElementEvent["Locked"] = "locked";
    ElementEvent["Unlocked"] = "unlocked";
})(ElementEvent || (exports.ElementEvent = ElementEvent = {}));
