import { CSElement } from "./CSElement";
export declare class ElementRegistry {
    private readonly registry;
    get totalElementsCount(): number;
    register(element: CSElement): void;
    unregister(element: CSElement): void;
    getElementById(id: string): CSElement | null;
    getElementsByName(name: string): CSElement[];
    getAllElements(): CSElement[];
    clear(): void;
}
//# sourceMappingURL=ElementRegistry.d.ts.map