"use strict";
/**
 * CSElement - Потокобезопасная библиотека для работы с графовыми структурами
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventEmitter = exports.delay = exports.deepClone = exports.generateId = exports.AsyncLock = exports.ElementEvent = exports.ElementBuilder = exports.ElementSpace = exports.CSElement = void 0;
// Основные классы
var CSElement_1 = require("./core/CSElement");
Object.defineProperty(exports, "CSElement", { enumerable: true, get: function () { return CSElement_1.CSElement; } });
var ElementSpace_1 = require("./core/ElementSpace");
Object.defineProperty(exports, "ElementSpace", { enumerable: true, get: function () { return ElementSpace_1.ElementSpace; } });
// Builder'ы
var ElementBuilder_1 = require("./builders/ElementBuilder");
Object.defineProperty(exports, "ElementBuilder", { enumerable: true, get: function () { return ElementBuilder_1.ElementBuilder; } });
// Типы и интерфейсы
var interfaces_1 = require("./types/interfaces");
Object.defineProperty(exports, "ElementEvent", { enumerable: true, get: function () { return interfaces_1.ElementEvent; } });
// Утилиты
var AsyncLock_1 = require("./utils/AsyncLock");
Object.defineProperty(exports, "AsyncLock", { enumerable: true, get: function () { return AsyncLock_1.AsyncLock; } });
var helpers_1 = require("./utils/helpers");
Object.defineProperty(exports, "generateId", { enumerable: true, get: function () { return helpers_1.generateId; } });
Object.defineProperty(exports, "deepClone", { enumerable: true, get: function () { return helpers_1.deepClone; } });
Object.defineProperty(exports, "delay", { enumerable: true, get: function () { return helpers_1.delay; } });
// Реэкспорт для удобства
var eventemitter3_1 = require("eventemitter3");
Object.defineProperty(exports, "EventEmitter", { enumerable: true, get: function () { return eventemitter3_1.EventEmitter; } });
